<?php

    //Programmiert von: Max Heer, Getestet von: 

    namespace VPR_Schnittstelle\EnthaeltModel;
    use VPR_Scnittstelle\Library\Msg;
    
    public function getInhaltsstoff(){
        $pdo=$this->linkDB();
        $sql = "SELECT * FROM Inhaltsstoff";
        try{
            $stmt = $pdo->prepare($sql);
            $stmt->execute();
        }
        catch(\PDOExeption $e){
            return false;
        }
        $result = $stmt->fetchAll(\PDO::FETCH_ASSOC);

        return $result;
    }
    
    public function insertInhaltsstoff($data){
        $pdo=$this->linkDB();
        $params = array();
        $sql = "INSERT INTO Inhaltsstoff ";
        foreach($data as $index=>$value){
            $sql .= "".$index.",";
        }
        $sql = substr($sql,0,strlen($sql)-1).") VALUES (";

        foreach($data as $index=>$value){
            $sql .= "':".$index."',";
            $params[":".$index] = $value;
        }

        $sql = substr($sql,0,strlen($sql)-1).");";

        try{
            $stmt = $pdo->prepare($sql);
            $stmt->execute($params);
            return true;
        }
        catch(\PDOExeption $e){
            return false;
        }
    }

    public function deleteInhaltsstoff($id){
        $pdo=$this->linkDB();
        $params = array();
        $sql = "DELETE FROM Inhalsstoff WHERE id=:id";
        $params[":id"] = $id;
        try{
            $stmt = $pdo->prepare($sql);
            $stmt->execute($params);
            return true;
        }
        catch(\PDOExeption $e){
            return false;
        }
    }
?>