<?php

// Programmiert durch Samuel Wolff
// Getestet durch: Nicht getestet

namespace ppb\Controller;

use ppb\Library\Msg;
use ppb\Model\BenutzerModel;

class BenutzerModel extends Database{


    /**
     * 
     * Updated einen Benutzer
     * 
     * @param $elternId Die Id des Elternaccounts
     * @param $data Die gegebenen Daten
     * 
     */
    public function updateBenutzer($elternId, $data){
        $pdo = $this->linkDB();

        $params = array();

        $sql = "UPDATE Benutzer SET"

        foreach($data as $index=>$value){
            $sql .= " ".$index." = :".$index;
            $params[":".$index] = $value;
        }

        $sql .= " WHERE id = :benutzerId;";

        $params[":benutzerId"] = $kindId;

        try{
            $stmt = $pdo->prepare($sql);
            $stmt->excute($params);
        }
        catch(\PDOException $e){
            return false;
        }
    
        $result = $stmt->fetchALL(\PDO::FETCH_ASSOC);
    
        return $result;
    }


    /**
     * 
     * Fügt einen neuen Benutzer in der Datenbank hinzu
     * 
     * @param $data Die gegebenen Daten
     * 
     */
    public function insertBenutzer($data){
        $pdo = $this->linkDB();

        $params = array();
    
        $sql = "INSERT INTO Benutzer (";
    
        foreach($data as $index=>$value){
            $sql .= $index.", ";
            $params[":"+$index] = $index;
        }
    
        $sql = substr($sql, 0, strlen($sql)-2).") VALUES (";
    
        foreach($data as $value){
            $sql .= ":".$value." ,";
            $params[":"+$value] = $value;
        }
    
        $sql = substr($sql, 0, strlen($sql)-2).");";
    
        try{
            $stmt = $pdo->prepare($sql);
            $stmt->excute($params);
        }
        catch(\PDOException $e){
            return false;
        }
    
        $result = $stmt->fetchALL(\PDO::FETCH_ASSOC);
    
        return $result;
    }
    

}

?>
