<?php
    namespace VPR_Schnittstelle\EnthaeltModel;

    use VPR_Schnittstelle\Library\Msg;
    
    class EnthaeltModel extends Database{
        
        public function getEnthaelt($gerichtId){
            $pdo=$this->linkDB();
            $params = array();
            $sql = "SELECT * FROM Enthaelt WHERE gid = :gerichtId;";
            $params[":gerichtId"] = gerichtId;
            try{
				$stmt = $pdo->prepare($sql);
				$stmt->execute($params);
			}
			catch(\PDOExeption $e){
				return false;
			}
			$result = $stmt->fetchAll(\PDO::FETCH_ASSOC);

			return $result;
        }

        public function insertEnthaelt($data){
            $pdo=$this->linkDB();
            $params = array();
            $sql = "INSERT INTO Enthaelt ("; 

            foreach($data as $index=>$value){
                $sql .= "".$index.",";
            }
            $sql = substr($sql,0,strlen($sql)-1).") VALUES (";

            foreach($data as $index=>$value){
                $sql .= "':".$index."',";
                $params[":".$index] = $value;
            }

            $sql = substr($sql,0,strlen($sql)-1).");";

            try{
                $stmt = $pdo->prepare($sql);
                $stmt->execute($params);
                return true;
            }
            catch(\PDOExeption $e){
                return false;
            }
        }

        public function deleteEnthaelt($id){
            $pdo=$this->linkDB();
            $params = array();
            $sql = "DELETE FROM Enthaelt WHERE id=:id";
            $params[":id"] = $id;
            try{
                $stmt = $pdo->prepare($sql);
                $stmt->execute($params);
                return true;
            }
            catch(\PDOExeption $e){
                return false;
            }
        }
    }
?>